TAU_PROFILER_GET_CHI(3)

Name
TAU_PROFILER_GET_CHILD_CALLS - Gets the number of calls made while this timer was running

Synopsis

C/C++:

TAU_PROFILER_GET_CHILD_CALLS(Timer timer, long& calls);

description

TAU_PROFILER_GET_CHILD_CALLS Gets the number of timers started while timer was running. This is non-recursive, only timers started directly count.

example

>C/C++:

    void *ptr;
    TAU_PROFILER_CREATE(ptr, "foo","", TAU_USER);
    TAU_PROFILER_START(ptr);
    foo(2);
    TAU_PROFILER_STOP(ptr);
    long calls;
    TAU_PROFILER_GET_CHILD_CALLS(ptr, &calls);

See Also

TAU_PROFILER_CREATE TAU_PROFILER_START TAU_PROFILER_STOP TAU_PROFILER_GET_CALLS TAU_PROFILER_GET_INCLUSIVE_VALUES TAU_PROFILER_GET_ExCLUSIVE_VALUES TAU_PROFILER_GET_COUNTER_INFO